Subject: bug#34639: 26.1; Custom themes break terminal when switching to org-mode

From: Colin Baxter <[email-masked]>
Date: Tue, 26 Feb 2019 12:19:11 +0000

Dear Basil,
>>>>> Basil L Contovounesios <[email-masked]> writes:

    > Colin Baxter <[email-masked]> writes:
    >>>>>>> Eli Zaretskii <[email-masked]> writes:
    >> 
    >> > On February 26, 2019 6:55:32 AM GMT+02:00, Glenn Morris
    >> > <[email-masked]> wrote:
    >> >> Eli Zaretskii wrote:
    >> >> 
    >> >> > I left linum-mode not obsolete because some people might
    >> decide >> not to > switch due to those differences. We should
    >> revisit this >> issue a few > years from now, IMO.
    >> >> 
    >> >> We already agreed to obsolete linum (which has two
    >> replacements) >> years ago; https://debbugs.gnu.org/27622#37
    >> 
    >> > It's not in obsolete, is it?
    >> 
    >> May I put in a selfish plea to delay obsoleting 'linum-mode'. I
    >> use it all the time. It's customised to my liking and I much
    >> prefer it to 'display-line-numbers-mode'. Perhaps, if I use
    >> 'linum-mode' extensively then there may well be (many?) others
    >> who do likewise.

    > Have you tried nlinum-mode in GNU ELPA?  It claims to be similar
    > to linum-mode but implemented more efficiently.

I have tried nlinum-mode but didn't like it. I prefer 'linum-ex' for
very long files and it works well with linum-mode. But thank you for the
suggestion.

Best wishes,

Colin Baxter
[email-masked]